My Project: dht::net::DhtProtocolException Class Reference

My Project 3.7.7 C++ Distributed Hash Table

Loading...
Searching...
No Matches
Public Member Functions | Static Public Attributes | List of all members
dht::net::DhtProtocolException Class Reference
Inheritance diagram for dht::net::DhtProtocolException:
[legend]
Collaboration diagram for dht::net::DhtProtocolException:
[legend]

## Public Member Functions
| DhtProtocolException (uint16_t code, const std::string &msg="", InfoHash failing_node_id={})
const std::string & | getMsg () const
uint16_t | getCode () const
const InfoHash & | getNodeId () const
Public Member Functions inherited from dht::DhtException
| DhtException (const std::string &str="")

## Static Public Attributes
static const constexpr uint16_t | NON_AUTHORITATIVE_INFORMATION {203}
static const constexpr uint16_t | UNAUTHORIZED {401}
static const constexpr uint16_t | NOT_FOUND {404}
static const constexpr uint16_t | INVALID_TID_SIZE {421}
static const constexpr uint16_t | UNKNOWN_TID {422}
static const constexpr uint16_t | WRONG_NODE_INFO_BUF_LEN {423}
static const std::string | GET_NO_INFOHASH
static const std::string | LISTEN_NO_INFOHASH
static const std::string | LISTEN_WRONG_TOKEN
static const std::string | PUT_NO_INFOHASH
static const std::string | PUT_WRONG_TOKEN
static const std::string | STORAGE_NOT_FOUND
static const std::string | PUT_INVALID_ID

## Detailed Description

Definition at line 42 of file network_engine.h.

## Constructor & Destructor Documentation

## ◆ DhtProtocolException()

dht::net::DhtProtocolException::DhtProtocolException | ( | uint16_t | code,
|  | const std::string & | msg = "",
|  | InfoHash | failing_node_id = {} )
| inline

Definition at line 62 of file network_engine.h.

## Member Function Documentation

## ◆ getCode()

uint16_t dht::net::DhtProtocolException::getCode | ( |  | ) | const
| inline

Definition at line 70 of file network_engine.h.

## ◆ getMsg()

const std::string & dht::net::DhtProtocolException::getMsg | ( |  | ) | const
| inline

Definition at line 69 of file network_engine.h.

## ◆ getNodeId()

const InfoHash & dht::net::DhtProtocolException::getNodeId | ( |  | ) | const
| inline

Definition at line 71 of file network_engine.h.

## Member Data Documentation

## ◆ GET_NO_INFOHASH

const std::string dht::net::DhtProtocolException::GET_NO_INFOHASH
| static

Definition at line 54 of file network_engine.h.

## ◆ INVALID_TID_SIZE

const constexpr uint16_t dht::net::DhtProtocolException::INVALID_TID_SIZE {421}
| staticconstexpr

Definition at line 50 of file network_engine.h.

## ◆ LISTEN_NO_INFOHASH

const std::string dht::net::DhtProtocolException::LISTEN_NO_INFOHASH
| static

Definition at line 55 of file network_engine.h.

## ◆ LISTEN_WRONG_TOKEN

const std::string dht::net::DhtProtocolException::LISTEN_WRONG_TOKEN
| static

Definition at line 56 of file network_engine.h.

## ◆ NON_AUTHORITATIVE_INFORMATION

const constexpr uint16_t dht::net::DhtProtocolException::NON_AUTHORITATIVE_INFORMATION {203}
| staticconstexpr

Definition at line 46 of file network_engine.h.

## ◆ NOT_FOUND

const constexpr uint16_t dht::net::DhtProtocolException::NOT_FOUND {404}
| staticconstexpr

Definition at line 48 of file network_engine.h.

## ◆ PUT_INVALID_ID

const std::string dht::net::DhtProtocolException::PUT_INVALID_ID
| static

Definition at line 60 of file network_engine.h.

## ◆ PUT_NO_INFOHASH

const std::string dht::net::DhtProtocolException::PUT_NO_INFOHASH
| static

Definition at line 57 of file network_engine.h.

## ◆ PUT_WRONG_TOKEN

const std::string dht::net::DhtProtocolException::PUT_WRONG_TOKEN
| static

Definition at line 58 of file network_engine.h.

## ◆ STORAGE_NOT_FOUND

const std::string dht::net::DhtProtocolException::STORAGE_NOT_FOUND
| static

Definition at line 59 of file network_engine.h.

## ◆ UNAUTHORIZED

const constexpr uint16_t dht::net::DhtProtocolException::UNAUTHORIZED {401}
| staticconstexpr

Definition at line 47 of file network_engine.h.

## ◆ UNKNOWN_TID

const constexpr uint16_t dht::net::DhtProtocolException::UNKNOWN_TID {422}
| staticconstexpr

Definition at line 51 of file network_engine.h.

## ◆ WRONG_NODE_INFO_BUF_LEN

const constexpr uint16_t dht::net::DhtProtocolException::WRONG_NODE_INFO_BUF_LEN {423}
| staticconstexpr

Definition at line 52 of file network_engine.h.

The documentation for this class was generated from the following file:

- /home/noptrix/ba/blackarch/packages/opendht-c/src/opendht/include/opendht/network_engine.h